summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-i18n/nabi
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-i18n/nabi')
-rw-r--r--app-i18n/nabi/Manifest6
-rw-r--r--app-i18n/nabi/files/nabi-0.15-asneeded.patch12
-rw-r--r--app-i18n/nabi/files/nabi-0.99.3-asneeded.patch13
-rw-r--r--app-i18n/nabi/files/xinput-nabi6
-rw-r--r--app-i18n/nabi/metadata.xml5
-rw-r--r--app-i18n/nabi/nabi-0.15.ebuild38
-rw-r--r--app-i18n/nabi/nabi-0.17.ebuild39
-rw-r--r--app-i18n/nabi/nabi-0.99.10.ebuild54
-rw-r--r--app-i18n/nabi/nabi-0.99.11.ebuild53
-rw-r--r--app-i18n/nabi/nabi-0.99.3.ebuild50
-rw-r--r--app-i18n/nabi/nabi-0.99.8.ebuild53
11 files changed, 329 insertions, 0 deletions
diff --git a/app-i18n/nabi/Manifest b/app-i18n/nabi/Manifest
new file mode 100644
index 00000000000..606d91df536
--- /dev/null
+++ b/app-i18n/nabi/Manifest
@@ -0,0 +1,6 @@
+DIST nabi-0.15.tar.gz 633850 SHA256 f39ccc86e1a2a2ad08127a232d06da39be9a39ba8fb933afd5a04f501a20a39d SHA512 44d33d27c36d0be5757a3de3e3760a339a1e143c28ebf926cbbbd714de882ed67f428365c8f15af16917ac24e151b6f4ff6b732b80ada4c3c750cd0d31de8313 WHIRLPOOL 2b3d0f250d669b290419750eb38b87d1a1ec1d0d416822fb98618ce6eb722d8d14486a1c4484f5e930e3b4a43f8924614947328b293f9843b765abf0c1f3ad29
+DIST nabi-0.17.tar.gz 656438 SHA256 1a239a7bb0644441ca781459fbf5a1c5fb95e823351bf308aa680eb60cc45b94 SHA512 457a91981cdc9ef30d316f1288a6983fbb692866d5c34151d718976e3fe813988fa9965100193d2fb4ff73458d44bbce3dd2bda2b37b280f03aeaba9ce2d3c9c WHIRLPOOL 967902b8a78ebac8ea29bb765e28dbc2c0126537c6f9907e441b73e9e1a5ebc133edae72cbb215b90d2e551fe10188f67c8f4134d6ef62d732ba91745578b503
+DIST nabi-0.99.10.tar.gz 839787 SHA256 a341480f52dd24779a4cea65f7520df7a51413ac725c17788671fc6d1e41ce3d SHA512 eb3edbdfde42c5381f76598d7011b9bbc8f0f842645be78d9ddc716c0a430b2a4479d7e2d7282cbe374d6479bd79c9347d546e158d424c3d5388d92055455dd0 WHIRLPOOL d6df870a14cd8f6436f6935f11a9c6acbfedc21719dc0551d083b688a3019a10726d5eff8a7f5f9b654dd64e80dc71035af844aa2835da3174bee1e910bebd9f
+DIST nabi-0.99.11.tar.gz 840845 SHA256 f9acff298f3dc7a80eff1281b04e00dda0e68ad56c1b28443800f09fd8c7ceb3 SHA512 0cc2a1e04241a13207226db6c2db811b32ca0cc41c28905122126d6193d6a83c575960aca0f4da0574e399a11b96e7b8c250b6f6245cc8ff3de37c2ea761b834 WHIRLPOOL fd29b61e591b89133c3df1f007d8f686e4ae63e6362aa3f4b25f4021d966ae720308f38c5846031246c90b83fb93d11c150f4093240c49e70f982f5b7de4f870
+DIST nabi-0.99.3.tar.gz 773189 SHA256 60a8bc0cbc14274ae73e13cd487a90b3b85f517740f958007ab7cd13f86b28de SHA512 fd96e8ee47352e9ab722df4fab188bfee5f57791742f1810fbfdca0fa97f74408356d62437b8ae5da58f94157e27d645ff34570c147b39e6cb344d19ef078513 WHIRLPOOL 7b335a221339c59c7d20f627499a330b967f687e2e9766973ff9023a04b83361f97b0d0d33f101c1b76eb48cba22d29f1968405890437244e7bc1c4423d1f9df
+DIST nabi-0.99.8.tar.gz 831411 SHA256 8bad787f72e7fc3b81566ac7da0377fecafddd1b4bbfff9f0c56c932f68e4254 SHA512 57e8a5218b56edb3cf6c1f6ff0086dc8c1f32752adadf41b0d486cd4aaf8c703bdb6ceee2db386da6449bd4aa61dd2119033c29879c5bcf7bd793fa9e7c905ef WHIRLPOOL f3e2b1d12b7f35b8c3e4d1482d5d852b053df4414db0ebb73d5ba5186dc5710a258a4b93c56039f366851bf92639e8833af716d3d2a1ce473ab3d67faf094f1e
diff --git a/app-i18n/nabi/files/nabi-0.15-asneeded.patch b/app-i18n/nabi/files/nabi-0.15-asneeded.patch
new file mode 100644
index 00000000000..c5f6d2422cc
--- /dev/null
+++ b/app-i18n/nabi/files/nabi-0.15-asneeded.patch
@@ -0,0 +1,12 @@
+diff --git a/src/Makefile.am b/src/Makefile.am
+index 700557c..ac6ec0d 100644
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -27,6 +27,5 @@ nabi_SOURCES = \
+ keycapturedialog.c \
+ main.c
+
+-nabi_LDFLAGS = @X_LIBS@ @X_PRE_LIBS@ -lX11 @GTK_LIBS@
+-nabi_LDADD = ../IMdkit/libXimd.a
++nabi_LDADD = @X_LIBS@ @X_PRE_LIBS@ -lX11 @GTK_LIBS@ ../IMdkit/libXimd.a
+
diff --git a/app-i18n/nabi/files/nabi-0.99.3-asneeded.patch b/app-i18n/nabi/files/nabi-0.99.3-asneeded.patch
new file mode 100644
index 00000000000..a2b7c5c88f3
--- /dev/null
+++ b/app-i18n/nabi/files/nabi-0.99.3-asneeded.patch
@@ -0,0 +1,13 @@
+Index: nabi-0.99.3/src/Makefile.am
+===================================================================
+--- nabi-0.99.3.orig/src/Makefile.am
++++ nabi-0.99.3/src/Makefile.am
+@@ -29,6 +29,6 @@ nabi_SOURCES = \
+ sctc.h util.h util.c \
+ main.c
+
+-nabi_LDFLAGS = @LIBHANGUL_LIBS@ @X_LIBS@ @X_PRE_LIBS@ -lX11 @GTK_LIBS@
+-nabi_LDADD = ../IMdkit/libXimd.a
++nabi_LDADD = @LIBHANGUL_LIBS@ @X_LIBS@ @X_PRE_LIBS@ -lX11 @GTK_LIBS@ \
++ ../IMdkit/libXimd.a
+
diff --git a/app-i18n/nabi/files/xinput-nabi b/app-i18n/nabi/files/xinput-nabi
new file mode 100644
index 00000000000..f5dc6e4aaaf
--- /dev/null
+++ b/app-i18n/nabi/files/xinput-nabi
@@ -0,0 +1,6 @@
+XIM=nabi
+XIM_PROGRAM="@EPREFIX@/usr/bin/nabi"
+GTK_IM_MODULE=xim
+QT_IM_MODULE=xim
+SHORT_DESC="nabi"
+ICON="@EPREFIX@/usr/share/nabi/nabi.png"
diff --git a/app-i18n/nabi/metadata.xml b/app-i18n/nabi/metadata.xml
new file mode 100644
index 00000000000..cb36a2fd8c7
--- /dev/null
+++ b/app-i18n/nabi/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>cjk</herd>
+</pkgmetadata>
diff --git a/app-i18n/nabi/nabi-0.15.ebuild b/app-i18n/nabi/nabi-0.15.ebuild
new file mode 100644
index 00000000000..a2aa40588e5
--- /dev/null
+++ b/app-i18n/nabi/nabi-0.15.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit eutils autotools
+
+DESCRIPTION="Simple Hanguk X Input Method"
+HOMEPAGE="https://code.google.com/p/nabi/"
+SRC_URI="http://download.kldp.net/nabi/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ppc x86"
+
+RDEPEND=">=x11-libs/gtk+-2.2:2"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.15-asneeded.patch
+ eautoreconf
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "make install failed"
+
+ dodoc AUTHORS ChangeLog README NEWS
+}
+
+pkg_postinst() {
+ elog "You MUST add environment variable..."
+ elog
+ elog "export XMODIFIERS=\"@im=nabi\""
+ elog
+}
diff --git a/app-i18n/nabi/nabi-0.17.ebuild b/app-i18n/nabi/nabi-0.17.ebuild
new file mode 100644
index 00000000000..8a44d3322a1
--- /dev/null
+++ b/app-i18n/nabi/nabi-0.17.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit eutils autotools
+
+DESCRIPTION="Simple Hanguk X Input Method"
+HOMEPAGE="https://code.google.com/p/nabi/"
+SRC_URI="http://kldp.net/frs/download.php/3742/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND=">=x11-libs/gtk+-2.2:2
+ >=app-i18n/libhangul-0.0.4"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.99.3-asneeded.patch
+ eautoreconf
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}
+
+pkg_postinst() {
+ elog "You MUST add environment variable..."
+ elog
+ elog "export XMODIFIERS=\"@im=nabi\""
+ elog
+}
diff --git a/app-i18n/nabi/nabi-0.99.10.ebuild b/app-i18n/nabi/nabi-0.99.10.ebuild
new file mode 100644
index 00000000000..f90a55e52ec
--- /dev/null
+++ b/app-i18n/nabi/nabi-0.99.10.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+DESCRIPTION="Simple Hanguk X Input Method"
+HOMEPAGE="https://code.google.com/p/nabi/"
+SRC_URI="http://kldp.net/frs/download.php/6003/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug nls"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND=">=app-i18n/libhangul-0.1.0
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.4:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/pango
+ virtual/libintl"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+src_configure() {
+ local myconf=
+
+ # Broken configure: --disable-debug also enables debug
+ use debug && \
+ myconf="${myconf} --enable-debug"
+
+ econf ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ sed -e "s:@EPREFIX@:${EPREFIX}:g" "${FILESDIR}/xinput-${PN}" > "${T}/${PN}.conf" || die
+ insinto /etc/X11/xinit/xinput.d
+ doins "${T}/${PN}.conf" || die
+
+ dodoc AUTHORS ChangeLog* NEWS README TODO || die
+}
+
+pkg_postinst() {
+ elog "You MUST add environment variable..."
+ elog
+ elog "export XMODIFIERS=\"@im=nabi\""
+ elog
+}
diff --git a/app-i18n/nabi/nabi-0.99.11.ebuild b/app-i18n/nabi/nabi-0.99.11.ebuild
new file mode 100644
index 00000000000..e8aafd1999c
--- /dev/null
+++ b/app-i18n/nabi/nabi-0.99.11.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Simple Hanguk X Input Method"
+HOMEPAGE="https://code.google.com/p/nabi/"
+SRC_URI="http://nabi.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug nls"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND=">=app-i18n/libhangul-0.1.0
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.4:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/pango
+ virtual/libintl"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+DOCS=( AUTHORS ChangeLog ChangeLog.0 NEWS README TODO )
+
+src_configure() {
+ local myconf=
+
+ # Broken configure: --disable-debug also enables debug
+ use debug && \
+ myconf="${myconf} --enable-debug"
+
+ econf ${myconf}
+}
+
+src_install() {
+ default
+
+ insinto /etc/X11/xinit/xinput.d
+ sed -e "s:@EPREFIX@:${EPREFIX}:g" "${FILESDIR}/xinput-${PN}" | newins - "${PN}.conf"
+}
+
+pkg_postinst() {
+ elog "You MUST add environment variable..."
+ elog
+ elog "export XMODIFIERS=\"@im=nabi\""
+ elog
+}
diff --git a/app-i18n/nabi/nabi-0.99.3.ebuild b/app-i18n/nabi/nabi-0.99.3.ebuild
new file mode 100644
index 00000000000..d5d764e592c
--- /dev/null
+++ b/app-i18n/nabi/nabi-0.99.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils autotools
+
+DESCRIPTION="Simple Hanguk X Input Method"
+HOMEPAGE="https://code.google.com/p/nabi/"
+SRC_URI="http://kldp.net/frs/download.php/4929/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND=">=app-i18n/libhangul-0.0.8
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.4:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/pango"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-asneeded.patch
+
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=
+
+ # Broken configure: --disable-debug also enables debug
+ use debug && \
+ myconf="${myconf} --enable-debug"
+
+ econf ${myconf}
+}
+
+pkg_postinst() {
+ elog "You MUST add environment variable..."
+ elog
+ elog "export XMODIFIERS=\"@im=nabi\""
+ elog
+}
diff --git a/app-i18n/nabi/nabi-0.99.8.ebuild b/app-i18n/nabi/nabi-0.99.8.ebuild
new file mode 100644
index 00000000000..a166b2e9168
--- /dev/null
+++ b/app-i18n/nabi/nabi-0.99.8.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=3
+
+DESCRIPTION="Simple Hanguk X Input Method"
+HOMEPAGE="https://code.google.com/p/nabi/"
+SRC_URI="http://kldp.net/frs/download.php/5865/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug nls"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND=">=app-i18n/libhangul-0.0.12
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.4:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/pango"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+src_configure() {
+ local myconf=
+
+ # Broken configure: --disable-debug also enables debug
+ use debug && \
+ myconf="${myconf} --enable-debug"
+
+ econf ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ sed -e "s:@EPREFIX@:${EPREFIX}:g" "${FILESDIR}/xinput-${PN}" > "${T}/${PN}.conf" || die
+ insinto /etc/X11/xinit/xinput.d
+ doins "${T}/${PN}.conf" || die
+
+ dodoc AUTHORS ChangeLog* NEWS README TODO || die
+}
+
+pkg_postinst() {
+ elog "You MUST add environment variable..."
+ elog
+ elog "export XMODIFIERS=\"@im=nabi\""
+ elog
+}